[arch-commits] Commit in mongo-c-driver/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Apr 27 17:16:21 UTC 2020


    Date: Monday, April 27, 2020 @ 17:16:20
  Author: foutrelis
Revision: 621911

archrelease: copy trunk to community-staging-x86_64

Added:
  mongo-c-driver/repos/community-staging-x86_64/
  mongo-c-driver/repos/community-staging-x86_64/PKGBUILD
    (from rev 621910, mongo-c-driver/trunk/PKGBUILD)

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

Copied: mongo-c-driver/repos/community-staging-x86_64/PKGBUILD (from rev 621910, mongo-c-driver/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-04-27 17:16:20 UTC (rev 621911)
@@ -0,0 +1,42 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=mongo-c-driver
+pkgver=1.16.2
+pkgrel=2
+pkgdesc='A client library written in C for MongoDB'
+arch=('x86_64')
+url='https://www.mongodb.org/display/DOCS/C+Language+Center'
+license=('Apache')
+depends=('libsasl' 'icu' 'snappy' 'zlib' 'zstd')
+makedepends=('cmake')
+provides=('libbson' 'libmongoc')
+conflicts=('libbson' 'libmongoc')
+replaces=('libbson' 'libmongoc')
+source=("https://github.com/mongodb/mongo-c-driver/releases/download/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('0930a80692f08329cad558644c25c46da64a0c8b6a9fc7412db0f547dae63bf59e9d29ee774d329c63af186eea751670bf21ccee8cf255f8bc8d5bd78c0e736a')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../mongo-c-driver-$pkgver \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib \
+    -DENABLE_STATIC=OFF -DENABLE_TESTS=OFF
+    # Test profiles are not found even with ENABLE_TESTS=ON
+  make
+}
+
+check() {
+  cd build
+  # No test profile found
+  # pifpaf run mongodb --port 27017 make test || warning "Tests failed"
+}
+
+package() {
+  cd build
+  make DESTDIR="$pkgdir/" install
+}


More information about the arch-commits mailing list